# Triggers (Cryptohopper API)

The triggers of a hopper and their history.

- [Get triggers](https://www.cryptohopper.com/api-documentation/api-reference/triggers/get-triggers.md): `GET /hopper/{id}/trigger`
- [Create a trigger](https://www.cryptohopper.com/api-documentation/api-reference/triggers/new-trigger.md): `POST /hopper/{id}/trigger`
- [Get trigger](https://www.cryptohopper.com/api-documentation/api-reference/triggers/get-trigger.md): `GET /hopper/{id}/trigger/{trigger_id}`
- [Update trigger](https://www.cryptohopper.com/api-documentation/api-reference/triggers/update-trigger.md): `PATCH /hopper/{id}/trigger/{trigger_id}`
- [Delete trigger](https://www.cryptohopper.com/api-documentation/api-reference/triggers/delete-trigger.md): `DELETE /hopper/{id}/trigger/{trigger_id}`
- [Get trigger options](https://www.cryptohopper.com/api-documentation/api-reference/triggers/get-hopper-id-triggerconfigs.md): `GET /hopper/{id}/triggerconfigs`
- [Get trigger history](https://www.cryptohopper.com/api-documentation/api-reference/triggers/get-hopper-id-triggerhistory.md): `GET /hopper/{id}/triggerhistory`

